Bug 77616 - TB NCHardwareList:288:save
TB NCHardwareList:288:save
Status: CLOSED DUPLICATE of bug 74417
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-10 19:27 EST by Andrei Rezvov
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-11 05:10:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrei Rezvov 2002-11-10 19:27:42 EST
Traceback (innermost last):
  File "/usr/sbin/redhat-config-network", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/redhat-config-network", line 449, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/redhat-config-network", line 287, in save
    self.saveHardware()
  File "/usr/sbin/redhat-config-network", line 302, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 288, in save
    modules[hw.Card.ModuleName]['options'][confkey] = str(hw.Card.__dict__
[selfkey])
KeyError: options

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 862dea0>
hw: <netconfpkg.HardwareList.Hardware instance at 853d388>
selfkey: IoPort
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 854ce00>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 860ead8>
confkey: io
self: [<netconfpkg.HardwareList.Hardware instance at 853d388>]


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. simply run redhat-config-network on my system :-(
2.
3.
	

Additional info:
Comment 1 Sybren 2002-11-11 05:10:24 EST
I have the same bug with a 3Com-card (3C905C-TX):
Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 449, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 287, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 302, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 288, in save
    modules[hw.Card.ModuleName]['options'][confkey] = str(hw.Card.__dict__
[selfkey])
KeyError: options

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 84f8f38>
hw: <netconfpkg.HardwareList.Hardware instance at 84efbf8>
selfkey: IRQ
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 84eec30>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 84b47f0>
confkey: irq
self: [<netconfpkg.HardwareList.Hardware instance at 84efbf8>]

The card is shown in lsmod.
The only thing I can imagine is that there is something wrong with the IRQ#: it 
is the same as the video-card.
I have not been able to get my NIC working, trying for weeks now and getting 
frustrated. In Windows 98 the NIC is working without any troubles.
I have tried to influence the IRQ# with 3c905cfg.exe but that program tells me 
the IRQ# cannot be changed.

Sybren
Comment 2 Harald Hoyer 2002-11-11 05:17:41 EST
second beta of erratum for 7.3/7.2/AS2 is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.2-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.2 version... Thx
and please test.

*** This bug has been marked as a duplicate of 74417 ***

Note You need to log in before you can comment on or make changes to this bug.